# © 2019 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import fields, models


class FinancialContract(models.Model):
    _inherit = "financial.contract"

    tool = fields.Selection(
        selection_add=[
            ("financial.contract.guarantee", "Prêt"),
        ],
        ondelete={"financial.contract.guarantee": "cascade"},
    )

    # ------------------------------------------------------
    # Computed fields / Search Fields
    # ------------------------------------------------------

    # ------------------------------------------------------
    # CRUD (Override ORM)
    # ------------------------------------------------------
